<?php
namespace Teknisa\PLA\Modules\Mymenu\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;

class Mym00107FaleConoscoController extends \Teknisa\GER\Services\SMTPService{
    protected $crudService;
    protected $smtpService;
    protected $paramsSMTP =  array(
        'host' => "smtp.teknisa.com",
        'username' =>"app@tecfood.com",
        'password' =>"@AppTecFood2015"
    );
    
	public function __construct($crudService){
	    $this->crudService = $crudService;
	    parent::__construct($this->paramsSMTP);
	    
	}
    public function checkEmailRemetente(DTO\Request $request, DTO\Response $response){
        try{
              $row = (array) $request->getRow();
                $conditions = array(
                    array(
                        "columnName" => "CDFILIAL",
                        "operator" => "=",
                        "value" => $row['CDFILIAL']
                    ),
                    array(
                        "columnName" => "NRORG",
                        "operator" => "=",
                        "value" => $this->crudService->getEnvironment()->getNrOrg()
                    )
                );
            $rows = $this->crudService->getFilteredDataSet('check_email_filial', $conditions)->getRows();
            $email = count($rows) > 0 ? $rows[0]['DSEMAILFILI'] : null;
            $response->addDataSet(new DataSet("emailOperador", array($email)));
        }  catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), 500));
        }
    }
    public function sendEmail(DTO\Request $request, DTO\Response $response){
        try{
            $row = (array) $request->getRow();
            $message = $row['MESSAGE'];
            $addres = $row['EMAILCLIENTE'];
            parent::setFrom($row['EMAILRESPOSTA']);
            parent::setSubject('Resposta Fale Conosco MyMenu');
            parent::setFromName('SAC MyMenu');
            parent::sendMail($message,$addres);
        }catch(\Exception $e){
            $response->setError(new Error ($e->getMessage(),500));
        }
    }
}
